Bug 1610849 - scalasca needs scorep/libunwind-devel but it is not required by the rpm
Summary: scalasca needs scorep/libunwind-devel but it is not required by the rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scalasca
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dave Love
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-01 14:06 UTC by Enrique
Modified: 2018-11-24 02:26 UTC (History)
1 user (show)

Fixed In Version: scalasca-2.4-4.fc28 scalasca-2.4-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-24 01:55:53 UTC


Attachments (Terms of Use)

Description Enrique 2018-08-01 14:06:11 UTC
Description of problem:

 I am trying to use scalasca following the quick reference in [1] but I fail in the first step (scalasca -instrument) because Score-P is not installed:
# scalasca -instrument g++ -o example example.cpp -pthread
Score-P instrumenter "scorep" not found on PATH!

 The issue is easily solved if I install it manually:
# dnf install scorep

 After that the scalasca command still fails, now with
/usr/bin/ld: cannot find -lunwind

 which is again solved by:
# dnf install libunwind-devel

 Even if those issues are relatively easy to solve, user experience would improve if scalasca rpm would include those rpm's as dependencies.


Version-Release number of selected component (if applicable):
scalasca-0:2.3.1-6

How reproducible:
Always

Steps to Reproduce:
1. # scalasca -instrument g++ -o example example.cpp -pthread
 
 I believe that the source code of example.cpp is irrelevant here.


[1] http://www.training.prace-ri.eu/uploads/tx_pracetmo/SCALASCA_v1.0_Quick_Reference.pdf

Comment 1 Dave Love 2018-10-10 11:46:57 UTC
Sorry, I missed this from when I was on holiday.
I'd already added the missing requires to the development version of scorep, and will do the release branches, thanks.
I'm not sure about scalasca requiring as you don't need it for the analysis step, and perhaps could use data from another source. Perhaps I should check the support for Recommends in Fedora packaging, which I haven't used. I'll think about it.

Comment 2 Fedora Update System 2018-10-10 15:55:42 UTC
scorep-3.1-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6a06d841df

Comment 3 Fedora Update System 2018-10-10 15:55:48 UTC
scorep-3.1-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d02179e318

Comment 4 Fedora Update System 2018-10-10 23:20:22 UTC
scorep-3.1-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6a06d841df

Comment 5 Fedora Update System 2018-10-10 23:27:17 UTC
scorep-3.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d02179e318

Comment 6 Fedora Update System 2018-10-19 15:49:53 UTC
scorep-3.1-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-10-19 16:06:28 UTC
scorep-3.1-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-10-25 20:23:24 UTC
scalasca-2.4-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-380be6631d

Comment 9 Fedora Update System 2018-10-27 19:05:57 UTC
scalasca-2.4-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-05aa950ba5

Comment 10 Fedora Update System 2018-10-27 19:06:04 UTC
scalasca-2.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b401bd1b49

Comment 11 Fedora Update System 2018-10-28 18:54:45 UTC
scalasca-2.4-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b401bd1b49

Comment 12 Fedora Update System 2018-10-31 18:50:18 UTC
scalasca-2.4-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-05aa950ba5

Comment 13 Dave Love 2018-11-23 15:07:17 UTC
Sorry, I lost track of this, and had failed to push new packages to the release repository.  There will now be a dependency on the scorep configuration that scalasca needs, but not the whole of scorep, as running it from scalasca is deprecated.
The versions of cube and scorep had to be increased to 4.x to fix a build failure, which will break existing instrumented binaries, unfortunately.
I hope that improves things sufficiently, and thanks for the report.

Comment 14 Fedora Update System 2018-11-24 01:55:53 UTC
scalasca-2.4-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-24 02:26:57 UTC
scalasca-2.4-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.